@use '../../../global/styles/utilities' as *;
@import 'styles/link-internal.variables';


:host {
  
  $base: '.digi-link-internal';
  
  @include digi-link-internal--variables;

  #{$base} {
		--digi--link--gap: var(--digi--link-internal--gap);
    --digi--link--color--default: var(--digi--link-internal--color--default);
    --digi--link--color--hover: var(--digi--link-internal--color--hover);
    --digi--link--color--visited: var(--digi--link-internal--color--visited);
    --digi--link--font-size--large: var(--digi--link-internal--font-size--large);
    --digi--link--font-size--small: var(--digi--link-internal--font-size--small);
    --digi--link--font-family: var(--digi--link-internal--font-family);
    --digi--link--font-weight: var(--digi--link-internal--font-weight);
    --digi--link--text-decoration--default: var(--digi--link-internal--text-decoration--default);
    --digi--link--text-decoration--hover: var(--digi--link-internal--text-decoration--hover);
    --digi--link--text-decoration--icon--default: var(--digi--link-internal--text-decoration--icon--default);
    --digi--link--text-decoration--icon--hover: var(--digi--link-internal--text-decoration--icon--hover);
 

  &__icon {
    --digi--icon--height: #{rem(10)};
    --digi--icon--width: #{rem(10)};
  }

  &--variation-large {

    #{$base}__icon {
      --digi--icon--height: #{rem(12)};
      --digi--icon--width: #{rem(12)};
    }

  }
} }
